## EmpathyMessage

EmpathyMessage

## Synopsis

                        EmpathyMessage;
    enum                EmpathyMessageType;
    GType               empathy_message_get_gtype           (void);
    EmpathyMessage*     empathy_message_new                 (const gchar *body);
    void                empathy_message_set_type            (EmpathyMessage *message,
                                                             EmpathyMessageType type);
    EmpathyContact*     empathy_message_get_sender          (EmpathyMessage *message);
    void                empathy_message_set_sender          (EmpathyMessage *message,
                                                             EmpathyContact *contact);
    EmpathyContact*     empathy_message_get_receiver        (EmpathyMessage *message);
    void                empathy_message_set_receiver        (EmpathyMessage *message,
                                                             EmpathyContact *contact);
    const gchar*        empathy_message_get_body            (EmpathyMessage *message);
    void                empathy_message_set_body            (EmpathyMessage *message,
                                                             const gchar *body);
    EmpathyTime         empathy_message_get_timestamp       (EmpathyMessage *message);
    void                empathy_message_set_timestamp       (EmpathyMessage *message,
                                                             EmpathyTime timestamp);
    EmpathyMessageType  empathy_message_type_from_str       (const gchar *type_str);
    const gchar*        empathy_message_type_to_str         (EmpathyMessageType type);

## Object Hierarchy

      GObject
       +----EmpathyMessage

## Properties

      "body"                     gchararray            : Read / Write
      "receiver"                 EmpathyContact        : Read / Write
      "sender"                   EmpathyContact        : Read / Write
      "timestamp"                glong                 : Read / Write
      "type"                     EmpathyMessageType    : Read / Write

## Description

## Details

### EmpathyMessage

    typedef struct _EmpathyMessage EmpathyMessage;

### enum EmpathyMessageType

    typedef enum {
    	EMPATHY_MESSAGE_TYPE_NORMAL,
    	EMPATHY_MESSAGE_TYPE_ACTION,
    	EMPATHY_MESSAGE_TYPE_NOTICE,
    	EMPATHY_MESSAGE_TYPE_AUTO_REPLY,
    	EMPATHY_MESSAGE_TYPE_LAST
    } EmpathyMessageType;

### empathy_message_get_gtype ()

    GType               empathy_message_get_gtype           (void);

Returns : |

### empathy_message_new ()

    EmpathyMessage*     empathy_message_new                 (const gchar *body);

`body` : |
Returns : |

### empathy_message_set_type ()

    void                empathy_message_set_type            (EmpathyMessage *message,
                                                             EmpathyMessageType type);

`message` : |
`type` : |

### empathy_message_get_sender ()

    EmpathyContact*     empathy_message_get_sender          (EmpathyMessage *message);

`message` : |
Returns : |

### empathy_message_set_sender ()

    void                empathy_message_set_sender          (EmpathyMessage *message,
                                                             EmpathyContact *contact);

`message` : |
`contact` : |

### empathy_message_get_receiver ()

    EmpathyContact*     empathy_message_get_receiver        (EmpathyMessage *message);

`message` : |
Returns : |

### empathy_message_set_receiver ()

    void                empathy_message_set_receiver        (EmpathyMessage *message,
                                                             EmpathyContact *contact);

`message` : |
`contact` : |

### empathy_message_get_body ()

    const gchar*        empathy_message_get_body            (EmpathyMessage *message);

`message` : |
Returns : |

### empathy_message_set_body ()

    void                empathy_message_set_body            (EmpathyMessage *message,
                                                             const gchar *body);

`message` : |
`body` : |

### empathy_message_get_timestamp ()

    EmpathyTime         empathy_message_get_timestamp       (EmpathyMessage *message);

`message` : |
Returns : |

### empathy_message_set_timestamp ()

    void                empathy_message_set_timestamp       (EmpathyMessage *message,
                                                             EmpathyTime timestamp);

`message` : |
`timestamp` : |

### empathy_message_type_from_str ()

    EmpathyMessageType  empathy_message_type_from_str       (const gchar *type_str);

`type_str` : |
Returns : |

### empathy_message_type_to_str ()

    const gchar*        empathy_message_type_to_str         (EmpathyMessageType type);

`type` : |
Returns : |

## Property Details

### The "`body`" property

      "body"                     gchararray            : Read / Write

The content of the message.

Default value: NULL

### The "`receiver`" property

      "receiver"                 EmpathyContact        : Read / Write

The receiver of the message.

### The "`sender`" property

      "sender"                   EmpathyContact        : Read / Write

The sender of the message.

### The "`timestamp`" property

      "timestamp"                glong                 : Read / Write

timestamp.

Allowed values: >= -1

Default value: -1

### The "`type`" property

      "type"                     EmpathyMessageType    : Read / Write

The type of message.

Default value: EMPATHY_MESSAGE_TYPE_NORMAL